> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a document via changelogs



## OpenAPI

````yaml post /documents/{identifier}/changelogs
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /documents/{identifier}/changelogs:
    post:
      summary: Update a document via changelogs
      operationId: update-a-document-changelogs
      parameters:
        - name: identifier
          in: path
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                changelogs:
                  type: array
                  description: >-
                    Array of Joyfill changelog objects. See
                    https://docs.joyfill.io/docs/changelogs
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "type": "String",
                      "identifer": "String",
                      "name": "String",
                      "group": "String",
                      "stage": "String",
                      "files": "Array",
                      "fields": "Array"
                    }
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: String
                  identifer:
                    type: string
                    example: String
                  name:
                    type: string
                    example: String
                  group:
                    type: string
                    example: String
                  stage:
                    type: string
                    example: String
                  files:
                    type: string
                    example: Array
                  fields:
                    type: string
                    example: Array
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````